FROM tomcat:8.0-jre8-alpine

MAINTAINER christian.cougourdan@capgemini.com

ENV CATALINA_BASE $CATALINA_HOME

ENV SRC_APP_NAME nash-forge
ENV DST_APP_NAME nash-demo
ENV APP_LOG_LEVEL info


RUN \
    rm -rf ${CATALINA_BASE}/webapps/* \
    && mkdir -p /app/conf

ADD setenv.sh ${CATALINA_BASE}/bin/
ADD ${SRC_APP_NAME}.war /app/${DST_APP_NAME}.war
ADD ${SRC_APP_NAME}-config.zip /tmp/
ADD context.xml ${CATALINA_BASE}/conf/Catalina/localhost/${DST_APP_NAME}.xml

RUN \
    cd /app/conf \
    && unzip /tmp/${SRC_APP_NAME}-config.zip \
    && rm -f /tmp/${SRC_APP_NAME}-config.zip \
    && sed -i.bak -e 's/@jndi\.db\.datasource@/jdbc\/form-manager/g ; \
                s/@hibernate\.dialect@/org\.hibernate\.dialect\.PostgreSQL82Dialect/g ; \
                s/@hibernate\.hbm2ddl\.auto@/${app.db.ddl.auto}/g ; \
                s/@hibernate\.show_sql@/false/g ; \
                s/@mas\.tracker\.service\.url@/http:\/\/tracker:8080\/tracker-server\/api/g ; \
                s/@mas\.forms\.service\.url@/http:\/\/back:8080\/form-rest-server\/api/g ; \
                s/@storage\.record\.root@/\/data\/records/g ; \ 
                s/@environment@/Developpement/g ; \
                s/@frontUrl@/http:\/\/www\.dev\.guichet-entreprises\.fr/g ; \
                s/@log\.level@/warn/g ; \
                s/@log\.level_fwk@/warn/g ; \
                s/@log\.level_app@/${sys:app.log.level}/g' \
                /app/conf/*


CMD [ "catalina.sh", "run" ]
